Reports: Monitoring of learning plans

report_lpmonitoring
Maintained by Picture of Issam TaboubiIssam Taboubi, Picture of Marie-Eve LévesqueMarie-Eve Lévesque
The main goal of this plugin is to facilitate the work of learning plan managers. It provides an overview of user learning plan, without leaving the page to get information related to this learning plan(such as rating in courses,user evidence,). It also offers statistics by learning plans and competencies. For learning plan templates with a very large number of learning plans (generated from cohorts), this plugin is the best solution, with its advanced filter, it allows you to filter the learning plans by several criterias.
543 sites
563 downloads
96 fans
Current versions available: 4

Introduction

The main goal of this plugin is to facilitate the work of learning plan managers. It provides an overview of user learning plan, without leaving the page to get information related to this learning plan(such as rating in courses,user evidence,). It also offers statistics by learning plans and competencies. For learning plan templates with a very large number of learning plans (generated from cohorts), this plugin is the best solution, with its advanced filter, it allows you to filter the learning plans by several criterias.

Plugin configuration

Role and permissions

This plugin can be used in system or category context. The user using this plugin in the category must have these permissions:

  • moodle/competency:competencyview
  • moodle/competency:coursecompetencyview
  • moodle/competency:usercompetencyview
  • moodle/competency:competencygrade
  • moodle/competency:planview
  • moodle/competency:planmanage
  • moodle/competency:templateview

Note that planview is always set in user context level. Thus, we must assign a user to a cohort using Site administration/Users/Permissions/Assign user roles to cohort so he will have the "moodle/competency:planview" of every member of that specific cohort (must wait for the next cron execution to take effect).

Color configuration

To fully benefit from the reports, a color must be associated to each value of the scale. To set the scale values colors, you must have "moodle/competency:competencymanage" permission. Here are the steps :

  • Go on "Home / ► Site administration / ► Competencies / ► Competencies scale colors"
  • Choose a framework competency
  • Choose a scale from framework competency
  • Set the colors values using the ColorPicker
  • Save the changes

Colors configuration

That's it, now the colors are set and ready to be used in the reports pages.

Monitoring of learning plans page

In a category context or system context go on Reports / ► Monitoring of learning plans

Filter

Filtering helps us find a user's learning plan. Here are the steps:

By learning plan template

From a learning plan template, we can filter learning plans.

  • Select a template
  • From "Student using this template", select a user
  • click on "Apply"

You will see the learning plan of the student selected, and you can navigate between learning plan based on that template. If there is no student selected, the first student from the template will be displayed.

Filter by template

By clicking on "show more...", you can have more options to filter learning plans by scales values.

Filter scales values

There are two options for using scales values filter

  • Filtering learning plans by scale values from competencies rated at course level
  • Filtering learning plans by scales values from competencies rated in the plan (Final rating)

When filtering by scales values, the number of rating in the student list will be displayed:

Filter rating number

By user

We can choose a particular student by typing his name in the user picker field in order to retrieve his learning plans

Filter by student

Learning plan detail

The details of the learning plan is divided into three blocks:

Filter by student

1.User navigation

This block contain the following informations:

  • The learning plan name: link to the learning plan page
  • The user full name and a profile picture: link to the user profile page
  • The navigation between users that belong to the selected template.

User navigation

2.Learning plan competencies informations

This block displays the following informations:

  • The plan's status and the number of competencies that are rated proficient on the total number of competencies of the plan
  • The number competencies that are rated not proficient
  • The number of competencies that are not rated

Learning plan competencies informations

3.List competencies details

This part has three blocks

List competencies details

Total number of rating

It display the number of courses linked to the competency and wherein the user is enrolled, Clicking on the number will trigger a popup containing the list of course linked to the competency and if the course was rated or not.

Popup total number courses

Also, this block displays the number of evidences of prior learning. You can have more details on the list of evidences by clicking on this number

evidence of prior learning

Rating

This block displays the number of rated courses by scale value. Clicking on this number triggers a popup that displays the course name, comments left by the teacher and the final course grade.

Rated courses by scale value

Final rating

This block gives us details about the final rating (rating in learning plan) :

  • if the competency is proficient, not proficient or not rated
  • The rated scale value (if rated)
  • A button to rate the competency if the user has the permission

Competency final rating

Statistics for learning plans

This page provides statistics for learning plans. It groups statistics by competency for a given template. For each competency we display the total users in template and number of users by scale value. To get this page, go on Reports / ► Statistics for learning plans

Stats page

Total users

Clicking on the "Total users" number triggers a popup with the list of all the users related to this competency. It shows if each user has been rated.

Stats nb users

Number of users by scale value

It displays the number of users rated with a given scale value for the competency.

Stats user by scalevalue

Monitoring of learning plans for users (students)

This page gives the user the ability to keep track of his learning plans with all the details mentioned above. To get this page go to the user profile page and click on Monitoring of learning plans in the reports block.

Profile user

To display the report, the user must select a learning plan and click on "Apply"

Student lpmonitoring


New features for 3.5 and 3.6

Allow tagging of learning plans

  • Manages tags for learning plans
  • Filter by tag




Manage comments directly in the report page

The block comment in the learning plan page (core) is now available in the report page, and we can filter by users having at least one comment.




User list navigation

A collapsible block was added, containing the resulting user list from search and filters, so we can easily navigate between users. That way, we are not limited to the next/previous buttons of the main learning plan bar.


Resetting competencies of a learning plan

We can reset all competencies of a learning plan: this will reset the value of rating but the evidences will be kept.

We can also make a reset on single competency.



Bulk rating in competencies for all users learning plans of learning plan template

This feature allows to rate competencies for all users learning plan of learning plan template.A scale value can be chosen for each competency. Note that rated students won't be impacted : to force ratings, tick "Force rating of users already rated" option. The ratings will take effect in the next passage of the CRON.


Report tab

It shows ratings in courses in a table display, that can be filtered by competency, course name or/and scale value.









Screenshots

Screenshot #0
Screenshot #1
Screenshot #2
Screenshot #3
Screenshot #4
Screenshot #5
Screenshot #6
Screenshot #7
Screenshot #8
Screenshot #9

Contributors

Picture of Issam Taboubi
Issam Taboubi (Lead maintainer)
Picture of Marie-Eve Lévesque
Marie-Eve Lévesque
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Shirley Gregorczyk
    Tue, Aug 27, 2019, 12:37 AM
    Hello Marie-Eve,
    I am on Moodle 3.5+ (Build: 20180524). We use IE as our browser.
    All of the assigned courses are visible to the students.
    I will send the screenshot shortly.
    Kind Regards,
    Shirley
  • Picture of Chelsy Ann Koshy
    Wed, Sep 4, 2019, 2:53 PM
    Hi,
    I am getting this error when I try to choose a learning plan from Statistics for learning plans under reports:


    SELECT * FROM {external_functions} WHERE name = ?
    [array (
    0 => 'report_lpmonitoring_search_templates',
    )]
    Error code: invalidrecord
    * line 1546 of /lib/dml/moodle_database.php: dml_missing_record_exception thrown
    * line 1522 of /lib/dml/moodle_database.php: call to moodle_database->get_record_select()
    * line 73 of /lib/externallib.php: call to moodle_database->get_record()
    * line 185 of /lib/externallib.php: call to external_api::external_function_info()
    * line 59 of /lib/ajax/service.php: call to external_api::call_external_function()

    Can you help with this?
  • Picture of Marie-Eve Lévesque
    Thu, Sep 5, 2019, 2:30 AM
    Hi Chelsy Ann,

    I will try to look at this in the next weeks. Can you provide me with some informations :

    - Is it a new installation of the plugin or an upgrade?
    - What version of the plugin?
    - What version of Moodle?
    - Do you see the list of learning plan templates in the dropdown?
    - When does the error occurs exactly? (for example, when you press the Apply button)

    Any other information to help me reproduce the problem would be helpful. If you can, a screenshot would help also.

    Marie-Eve
  • Picture of Chelsy Ann Koshy
    Mon, Sep 30, 2019, 3:01 PM
    Hi Marie,

    Thanks for looking into this!
    The issue got resolved while reinstalling.

    Chelsy
  • Picture of Shirley Gregorczyk
    Thu, Oct 3, 2019, 4:18 AM
    Hello Marie-Eve,
    I have a requirement to place the System Admin> Reports>Statistics for learning plans and Monitoring of learning plans into a new block with a custom role.
    Can you advise, how I can accomplish this?
  • Picture of Marie-Eve Lévesque
    Sat, Oct 5, 2019, 1:56 AM
    Hi Shirley,

    I am not really sure what you want to achieve? Why in a block? What would be in the block, links to the report? Or the reports themselves?

    What we have in our installation are custom roles that add the 2 items in the category administration menu. So the managers for each category goes there to access the report, and not via Site administration. There are a little bit of explanations about that in the "Role and permissions" section above.

    Does that help you?
    Marie-Eve
  • Picture of Hajo de Vries
    Wed, Oct 9, 2019, 3:11 AM
    Nice plugin. Is it right that is doesn't work with 3.7?
  • Picture of Marie-Eve Lévesque
    Wed, Oct 9, 2019, 4:02 AM
    Hi Hajo,
    We haven't test the plugin with 3.7 yet, so we can't guarantee it works completly with that version. But maybe everything works fine! If you have a chance to test it with 3.7 and see some problems, do not hesitate to contact us.
    Marie-Eve
  • Picture of Hajo de Vries
    Wed, Oct 9, 2019, 4:13 AM
    Hi Marie-Eve,

    Thank you for you're quick response. By installing I see the next issues:
    Stack trace:
    line 492 of /lib/dml/moodle_database.php: ddl_change_structure_exception thrown
    line 1072 of /lib/dml/mysqli_native_moodle_database.php: call to moodle_database->query_end()
    line 77 of /lib/ddl/database_manager.php: call to mysqli_native_moodle_database->change_database_structure()
    line 425 of /lib/ddl/database_manager.php: call to database_manager->execute_sql_arr()
    line 370 of /lib/ddl/database_manager.php: call to database_manager->install_from_xmldb_structure()
    line 606 of /lib/upgradelib.php: call to database_manager->install_from_xmldb_file()
    line 1869 of /lib/upgradelib.php: call to upgrade_plugins()
    line 694 of /admin/index.php: call to upgrade_noncore()

    Debug info: Table 'mdl_report_competency_config' already exists
    CREATE TABLE mdl_report_competency_config (
    id BIGINT(10) NOT NULL auto_increment,
    competencyframeworkid BIGINT(10) NOT NULL,
    scaleid BIGINT(10) NOT NULL,
    scaleconfiguration LONGTEXT COLLATE utf8mb4_general_ci,
    timecreated BIGINT(10) NOT NULL,
    timemodified BIGINT(10) NOT NULL,
    usermodified BIGINT(10),
    CONSTRAINT PRIMARY KEY (id)
    , UNIQUE KEY mdl_repocompconf_comsca2_uix (competencyframeworkid, scaleid)
    )
    ENGINE = InnoDB
    DEFAULT COLLATE = utf8mb4_general_ci ROW_FORMAT=Compressed
    COMMENT='Configuration for scale associated to a framework'
    Error code: ddlexecuteerror
  • Picture of Hajo de Vries
    Wed, Oct 9, 2019, 5:36 PM
    Problem solved! I deleted the table 'mdl_report_competency_config' in the database and installed the plugin again.
  • Picture of Shirley Gregorczyk
    Thu, Oct 10, 2019, 8:43 PM
    Hello Marie-Eve,
    We need a separate block because our learning plans are created at the Site level. We do not create Learning plans at the category level. We have been asked to provide access and make it very simple for a new role that wishes to only view all of the learning plans in our system.
    Kind Regards
    Shirley
  • Picture of Marie-Eve Lévesque
    Sat, Oct 19, 2019, 2:09 AM
    Hi Shirley,
    I understand your issue, here is what I would try :

    - Configure a role at the system level and give it all the necessary permissions (the same as listed on top of this page). You might also have to create a cohort for all students who have learning plans and assign the planview permission.

    - Then, create a simple html block and make it available only for the users that have your new role.

    - In this block, add a simple html link to report/lpmonitoring/index.php?pagecontextid=1 (you can try directly this url before to make sure all permissions are correct).

    I hope this help!

    Marie-Eve

    P.S. If you have more questions about this, since it is beyond the scope of the plugin, you can contact me in private, or we can start a topic in the forum, others might be able to help you more.
  • Picture of Edwin Lynd
    Sun, Oct 20, 2019, 7:57 PM
    Hello, anyone can help? I encountered this problem times:
    report_lpmonitoring
    DDL sql execution error

    More information about this error

    ×Debug info: Table 'mdl_report_competency_config' already exists
    CREATE TABLE mdl_report_competency_config (
    id BIGINT(10) NOT NULL auto_increment,
    competencyframeworkid BIGINT(10) NOT NULL,
    scaleid BIGINT(10) NOT NULL,
    scaleconfiguration LONGTEXT COLLATE utf8mb4_unicode_ci,
    timecreated BIGINT(10) NOT NULL,
    timemodified BIGINT(10) NOT NULL,
    usermodified BIGINT(10),
    CONSTRAINT PRIMARY KEY (id)
    , UNIQUE KEY mdl_repocompconf_comsca2_uix (competencyframeworkid, scaleid)
    )
    ENGINE = InnoDB
    DEFAULT COLLATE = utf8mb4_unicode_ci ROW_FORMAT=Compressed
    COMMENT='Configuration for scale associated to a framework'
    Error code: ddlexecuteerror
    ×Stack trace:
    line 492 of /lib/dml/moodle_database.php: ddl_change_structure_exception thrown
    line 1070 of /lib/dml/mysqli_native_moodle_database.php: call to moodle_database->query_end()
    line 77 of /lib/ddl/database_manager.php: call to mysqli_native_moodle_database->change_database_structure()
    line 425 of /lib/ddl/database_manager.php: call to database_manager->execute_sql_arr()
    line 370 of /lib/ddl/database_manager.php: call to database_manager->install_from_xmldb_structure()
    line 606 of /lib/upgradelib.php: call to database_manager->install_from_xmldb_file()
    line 1869 of /lib/upgradelib.php: call to upgrade_plugins()
    line 694 of /admin/index.php: call to upgrade_noncore()
  • Picture of Shirley Gregorczyk
    Mon, Oct 21, 2019, 11:02 PM
    Hello Marie-Eve,
    Thank you so very much! You provided me with what i needed to resolve my issue.
    Kind Regards,
    Shirley
  • Picture of Marie-Eve Lévesque
    Sat, Oct 26, 2019, 3:40 AM
    Hi Edwin,

    I tried to reproduce the problem but I was not able to. Do you know from which version to which version of lpmonitoring you are upgrading?

    In the meantime, you can try one of the following "extreme" solutions :
    - uninstall and reinstall the plugin
    - delete the mdl_report_competency_config table and then reinstall the plugin

    Those 2 solutions would DELETE the configuration of your competency scales (the color associated to each scale level) so you will have to configurate them again. I can't say I recommend any of those two solutions, it is not really a good way to do things, but I think it will solve your problem...

    Marie-Eve
1 2 3 4
Please login to post comments